Frama-C Bug Tracking System

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001573Frama-CKernelpublic2013-11-27 15:552014-03-13 15:57
Reportervalor 
Assigned Toyakobowski 
PrioritynormalSeveritycrashReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target VersionFixed in VersionFrama-C Neon-20140301 
Summary0001573: Syntax error because of pause instruction in inline assebly
DescriptionPresence of construction like
-----------------------------------------
static inline void cpu_pause(void)
{
        __asm__ volatile ("pause":::);
}
-----------------------------------------
lead to syntax error

Adding some "changed" (like <:::"memory");>) improves the situation
Additional InformationGUI output
-----------------------------------------
Current source was: :0
The full backtrace is:
Raised at file "hashtbl.ml", line 353, characters 18-27
Called from file "hashtbl.ml", line 361, characters 22-38

Unexpected error (Parsing.Parse_error).
Please report as 'crash' at http://bts.frama-c.com/. [^]
Your Frama-C version is Fluorine-20130601.
Note that a version and a backtrace alone often do not contain enough
information to understand the bug. Guidelines for reporting bugs are at:
http://bts.frama-c.com/dokuwiki/doku.php?id=mantis:frama-c:bug_reporting_guidelines [^]
---------------------------------------------
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0004346)
yakobowski (manager)
2013-11-27 16:36

Thanks for your report; this bug has already been fixed in the development version, and the bugfix will be part of the next release.
(0004351)
yakobowski (manager)
2013-11-28 11:04

On second thought, I do not obtain the same backtrace as you with Fluorine's GUI. Could you confirm that

static inline void cpu_pause(void)
{
        __asm__ volatile ("pause":::);
}

alone in a file is sufficient to get the crash you mention?

- Issue History
Date Modified Username Field Change
2013-11-27 15:55 valor New Issue
2013-11-27 16:36 yakobowski Note Added: 0004346
2013-11-27 20:55 yakobowski Status new => assigned
2013-11-27 20:55 yakobowski Assigned To => yakobowski
2013-11-28 11:04 yakobowski Note Added: 0004351
2013-11-28 11:04 yakobowski Status assigned => feedback
2014-01-12 13:39 yakobowski Status feedback => closed
2014-01-12 13:39 yakobowski Resolution open => fixed
2014-01-12 13:39 yakobowski Status closed => resolved
2014-03-13 15:56 signoles Fixed in Version => Frama-C Neon-20140301
2014-03-13 15:57 signoles Status resolved => closed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker